/* elements.css for >poetter-klima< */

/* icons */

@media all {
    svg {
        fill: currentColor;
    }
}

/* lightbox - we have fontawesome? awesome! */

@media all {
    .ce-media-image a {
        position: relative;
    }
    .ce-media-image a {
        text-decoration: none;
    }
    .ce-media-image a.lightbox::before {
        content: "\f067";
    }
    .ce-media-image .ce-media-caption a::before {
        content: none;
    }
    .mfp-content figcaption {
        margin: 0;
        border: 0;
    }
}

/* news */

@media all {
    .news-list-item + .news-list-item {
        border-top: 1px solid rgb(153, 153, 153);
        padding-top: 1.25rem;
    }
    .news-list-item + .news-list-item.news-list-item-teaser {
        border: none;
        padding-top: 0;
    }
    .news-list .news-date {
        display: inline-block;
        margin-top: 0.3125rem;
    }
    .news-list-link .fa {
        padding-left: 0.5em;
    }
    .news-list-item-teaser {
        width: 100%;
    }
    .news-list-teaser .ce-textpic-inner {
        display: flex;
        flex-direction: column;
    }
    .news-list-teaser .news-teaser-text {
        flex-grow: 1;
    }
    .news-list-masonry .has-pagination {
        margin-bottom: 5rem;
        /*FIXME */
    }
    .news-list-masonry .pagination {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
    }
}

/* pagination news & search */

@media all {
    .pagination {
        margin-bottom: 0.9375rem;
    }
    .pagination .pagination-count {
        margin-bottom: 0;
    }
    .pagination ul {
        display: block;
        margin: 0 -0.3125rem;
        padding: 0;
    }
    .pagination li {
        display: block;
        float: left;
        line-height: 1;
        padding: 0.3125rem;
    }
    .pagination span,
    .pagination a {
        display: inline-block;
        font-size: 75%;
        color: currentColor;
        text-decoration: none;
        text-align: center;
        line-height: 1;
        width: 1.75rem;
        padding: 0.4375rem 0;
        border: 1px solid currentColor;
        border-radius: 3px;
    }
    .pagination a:not(.fa)::before {
        content: none;
    }
    .pagination .fa {
        margin: 0;
        padding: 0;
    }
    .pagination .current {
        background: currentColor;
        background-clip: padding-box;
    }
    .pagination .current b {
        color: rgb(255, 255, 255);
    }
    .pagination .paginator-ellip {
        border: none;
        padding: 0;
        width: auto;
    }
}

/* Abstände */

.ce-space-before-none {
    margin-top: 0 !important;
}

.ce-space-before-extra-small {
    margin-top: 1rem !important;
}

.ce-space-before-small {
    margin-top: 1.25rem !important;
}

.ce-space-before-medium {
    margin-top: 1.5625rem !important;
}

.ce-space-before-large {
    margin-top: 2rem !important;
}

.ce-space-before-extra-large {
    margin-top: 2.5rem !important;
}

.ce-space-after-none {
    margin-bottom: 0 !important;
}

.ce-space-after-extra-small {
    margin-bottom: 1rem !important;
}

.ce-space-after-small {
    margin-bottom: 1.25rem !important;
}

.ce-space-after-medium {
    margin-bottom: 1.5625rem !important;
}

.ce-space-after-large {
    margin-bottom: 2rem !important;
}

.ce-space-after-extra-large {
    margin-bottom: 2.5rem !important;
}

.ce-media-image a::before {
    display: none;
}

@media all and (min-width: 47.5em), print {
    .ce-div {
        position: relative;
        overflow: hidden;
        height: 0.9375rem;
    }
    .ce-div::before {
        content: "";
        display: block;
        border-radius: 25%;
        position: absolute;
        left: 2.5rem;
        right: 2.5rem;
        bottom: 100%;
        height: 1.25rem;
        box-shadow: 0 0 1.25rem rgba(0, 0, 0, 0.25);
    }
    /* news teaser */
    .news-list-teaser {
        margin: 0 -0.625rem;
    }
    .news-list-item-teaser {
        width: 50%;
        float: left;
        padding: 0 0.625rem;
    }
    .news-list-teaser .news-list-item-teaser:nth-child(2n + 1) {
        clear: left;
    }
}

/* desktop */

@media all and (min-width: 62.5em) {
    .news-list-item + .news-list-item {
        padding-top: 1.5625rem;
    }
    /* news teaser */
    .news-list-teaser {
        margin: 0 -1.25rem;
    }
    .news-list-item-teaser {
        width: 33.3333%;
        float: left;
        padding: 0 1.25rem;
    }
    .news-list-teaser .news-list-item-teaser:nth-child(2n + 1) {
        clear: none;
    }
    .news-list-teaser .news-list-item-teaser:nth-child(3n + 1) {
        clear: left;
    }
}

/* desktop - xlarge */

@media (min-width: 92.5em) {
    .news-list-item + .news-list-item {
        padding-top: 2.5rem;
    }
}

/* Map Overlay*/

/*Overlay for Opt-In*/

.ti-google-map {
    max-width: 100%;
    width: 100%;
    display: block;
    position: relative;
}

.ce-media-overlay-click-for-map {
    color: rgb(0, 0, 0);
    background-color: rgba(255, 255, 255, 0.75);
    text-shadow: 0 0 3px rgba(255, 255, 255, 0.75);
    /*          color: rgb(255,255,255);
                background-color: rgba(0,0,0,0.75);
                text-shadow: 0 0 3px rgba(0,0,0,0.5);*/
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0.625rem 1.25rem;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
}

.ce-media-overlay-click-for-map p {
    max-width: 100%;
    /* IE11 */
}

.ti-google-map .ce-media-overlay-btn {
    border: 2px solid transparent !important;
}

.ti-google-map .ce-media-overlay-btn:hover {
    border: 2px solid currentColor !important;
}

.ti-google-map .ce-media-overlay-poster {
    transition: 1s opacity ease-in;
    background-image: url("../Images/map-bg.png");
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.ce-media-overlay-privacy-policy:not(.btn) {
    /* color: rgb(90, 37, 114); */
}
